<template>
  <v-row>
    <v-col>
      <v-select
        label="ค้นหาสถานะ"
        outlined
        rounded
        item-text="name"
        @input="$emit('update:status', obj.status)"
        item-value="value"
        :items="itemStatus"
        v-model="obj.status"
        prepend-inner-icon="search"
      >
      </v-select>
    </v-col>
    <v-col>
      <v-text-field
        v-model="obj.firstName"
        outlined
        rounded
        @input="$emit('update:firstName', obj.firstName)"
        label="ชื่อ"
        flat
        prepend-inner-icon="search"
      >
      </v-text-field>
    </v-col>
    <v-col>
      <v-text-field
        v-model="obj.lastName"
        outlined
        @input="$emit('update:lastName', obj.lastName)"
        rounded
        label="นามสกุล"
        flat
        prepend-inner-icon="search"
      >
      </v-text-field>
    </v-col>
  </v-row>
</template>

<script>
import { index } from "../../json/index";
export default {
  data() {
    return {
      obj: {},
      itemStatus: index.ITEM_STATUSACCOUNT,
    };
  },
};
</script>

<style>
</style>